Index: issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h
===================================================================
--- issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 7380)
+++ issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 7390)
@@ -227,4 +227,5 @@
 	PflagEnum,
 	PressureEnum,
+	VelocityEnum,
 	PressureOldEnum,
 	QmuPressureEnum,
@@ -331,4 +332,7 @@
 	MixedLayerCapacityEnum,
 	ThermalExchangeVelocityEnum,
+	/*}}}*/
+	/*Solver{{{1*/
+	StokesSolverEnum,
 	/*}}}*/
 	/*Parameters{{{1*/
Index: issm/trunk/src/c/EnumDefinitions/EnumToString.cpp
===================================================================
--- issm/trunk/src/c/EnumDefinitions/EnumToString.cpp	(revision 7380)
+++ issm/trunk/src/c/EnumDefinitions/EnumToString.cpp	(revision 7390)
@@ -199,4 +199,5 @@
 		case PflagEnum : return "Pflag";
 		case PressureEnum : return "Pressure";
+		case VelocityEnum : return "Velocity";
 		case PressureOldEnum : return "PressureOld";
 		case QmuPressureEnum : return "QmuPressure";
@@ -289,4 +290,5 @@
 		case MixedLayerCapacityEnum : return "MixedLayerCapacity";
 		case ThermalExchangeVelocityEnum : return "ThermalExchangeVelocity";
+		case StokesSolverEnum : return "StokesSolver";
 		case IntersectEnum : return "Intersect";
 		case ColinearEnum : return "Colinear";
Index: issm/trunk/src/c/EnumDefinitions/StringToEnum.cpp
===================================================================
--- issm/trunk/src/c/EnumDefinitions/StringToEnum.cpp	(revision 7380)
+++ issm/trunk/src/c/EnumDefinitions/StringToEnum.cpp	(revision 7390)
@@ -197,4 +197,5 @@
 	else if (strcmp(name,"Pflag")==0) return PflagEnum;
 	else if (strcmp(name,"Pressure")==0) return PressureEnum;
+	else if (strcmp(name,"Velocity")==0) return VelocityEnum;
 	else if (strcmp(name,"PressureOld")==0) return PressureOldEnum;
 	else if (strcmp(name,"QmuPressure")==0) return QmuPressureEnum;
@@ -287,4 +288,5 @@
 	else if (strcmp(name,"MixedLayerCapacity")==0) return MixedLayerCapacityEnum;
 	else if (strcmp(name,"ThermalExchangeVelocity")==0) return ThermalExchangeVelocityEnum;
+	else if (strcmp(name,"StokesSolver")==0) return StokesSolverEnum;
 	else if (strcmp(name,"Intersect")==0) return IntersectEnum;
 	else if (strcmp(name,"Colinear")==0) return ColinearEnum;
Index: issm/trunk/src/m/enum/AbsoluteEnum.m
===================================================================
--- issm/trunk/src/m/enum/AbsoluteEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/AbsoluteEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=AbsoluteEnum()
 
-macro=260;
+macro=261;
Index: issm/trunk/src/m/enum/AdjointEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/AdjointEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=AdjointEnum()
 
-macro=281;
+macro=283;
Index: issm/trunk/src/m/enum/AgressiveMigrationEnum.m
===================================================================
--- issm/trunk/src/m/enum/AgressiveMigrationEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/AgressiveMigrationEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=AgressiveMigrationEnum()
 
-macro=263;
+macro=264;
Index: issm/trunk/src/m/enum/BetaEnum.m
===================================================================
--- issm/trunk/src/m/enum/BetaEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/BetaEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=BetaEnum()
 
-macro=276;
+macro=278;
Index: issm/trunk/src/m/enum/BoolElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoolElementResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/BoolElementResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=BoolElementResultEnum()
 
-macro=232;
+macro=233;
Index: issm/trunk/src/m/enum/BoolExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoolExternalResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/BoolExternalResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=BoolExternalResultEnum()
 
-macro=233;
+macro=234;
Index: issm/trunk/src/m/enum/CmGradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmGradientEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/CmGradientEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=CmGradientEnum()
 
-macro=277;
+macro=279;
Index: issm/trunk/src/m/enum/CmJumpEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmJumpEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/CmJumpEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=CmJumpEnum()
 
-macro=278;
+macro=280;
Index: issm/trunk/src/m/enum/CmMaxEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMaxEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/CmMaxEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=CmMaxEnum()
 
-macro=279;
+macro=281;
Index: issm/trunk/src/m/enum/CmMinEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMinEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/CmMinEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=CmMinEnum()
 
-macro=280;
+macro=282;
Index: issm/trunk/src/m/enum/ColinearEnum.m
===================================================================
--- issm/trunk/src/m/enum/ColinearEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ColinearEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ColinearEnum()
 
-macro=274;
+macro=276;
Index: issm/trunk/src/m/enum/ConnectivityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ConnectivityEnum()
 
-macro=287;
+macro=289;
Index: issm/trunk/src/m/enum/ControlSteadyEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ControlSteadyEnum()
 
-macro=288;
+macro=290;
Index: issm/trunk/src/m/enum/DakotaParameterEnum.m
===================================================================
--- issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=DakotaParameterEnum()
 
-macro=289;
+macro=291;
Index: issm/trunk/src/m/enum/DimEnum.m
===================================================================
--- issm/trunk/src/m/enum/DimEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/DimEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=DimEnum()
 
-macro=290;
+macro=292;
Index: issm/trunk/src/m/enum/DoubleElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleElementResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/DoubleElementResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=DoubleElementResultEnum()
 
-macro=229;
+macro=230;
Index: issm/trunk/src/m/enum/DoubleExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleExternalResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/DoubleExternalResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=DoubleExternalResultEnum()
 
-macro=234;
+macro=235;
Index: issm/trunk/src/m/enum/DoubleMatExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleMatExternalResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/DoubleMatExternalResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=DoubleMatExternalResultEnum()
 
-macro=236;
+macro=237;
Index: issm/trunk/src/m/enum/DoubleVecExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleVecExternalResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/DoubleVecExternalResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=DoubleVecExternalResultEnum()
 
-macro=235;
+macro=236;
Index: issm/trunk/src/m/enum/EnumToString.m
===================================================================
--- issm/trunk/src/m/enum/EnumToString.m	(revision 7380)
+++ issm/trunk/src/m/enum/EnumToString.m	(revision 7390)
@@ -194,4 +194,5 @@
 case PflagEnum(), string='Pflag'; return
 case PressureEnum(), string='Pressure'; return
+case VelocityEnum(), string='Velocity'; return
 case PressureOldEnum(), string='PressureOld'; return
 case QmuPressureEnum(), string='QmuPressure'; return
@@ -284,4 +285,5 @@
 case MixedLayerCapacityEnum(), string='MixedLayerCapacity'; return
 case ThermalExchangeVelocityEnum(), string='ThermalExchangeVelocity'; return
+case StokesSolverEnum(), string='StokesSolver'; return
 case IntersectEnum(), string='Intersect'; return
 case ColinearEnum(), string='Colinear'; return
Index: issm/trunk/src/m/enum/EpsAbsEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=EpsAbsEnum()
 
-macro=291;
+macro=293;
Index: issm/trunk/src/m/enum/EpsCmEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsCmEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/EpsCmEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=EpsCmEnum()
 
-macro=292;
+macro=294;
Index: issm/trunk/src/m/enum/EpsRelEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsRelEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/EpsRelEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=EpsRelEnum()
 
-macro=293;
+macro=295;
Index: issm/trunk/src/m/enum/EpsResEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsResEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/EpsResEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=EpsResEnum()
 
-macro=294;
+macro=296;
Index: issm/trunk/src/m/enum/FsetEnum.m
===================================================================
--- issm/trunk/src/m/enum/FsetEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/FsetEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=FsetEnum()
 
-macro=343;
+macro=345;
Index: issm/trunk/src/m/enum/Gradient1Enum.m
===================================================================
--- issm/trunk/src/m/enum/Gradient1Enum.m	(revision 7380)
+++ issm/trunk/src/m/enum/Gradient1Enum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=Gradient1Enum()
 
-macro=283;
+macro=285;
Index: issm/trunk/src/m/enum/Gradient2Enum.m
===================================================================
--- issm/trunk/src/m/enum/Gradient2Enum.m	(revision 7380)
+++ issm/trunk/src/m/enum/Gradient2Enum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=Gradient2Enum()
 
-macro=284;
+macro=286;
Index: issm/trunk/src/m/enum/Gradient3Enum.m
===================================================================
--- issm/trunk/src/m/enum/Gradient3Enum.m	(revision 7380)
+++ issm/trunk/src/m/enum/Gradient3Enum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=Gradient3Enum()
 
-macro=285;
+macro=287;
Index: issm/trunk/src/m/enum/GradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/GradientEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/GradientEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=GradientEnum()
 
-macro=282;
+macro=284;
Index: issm/trunk/src/m/enum/GravityEnum.m
===================================================================
--- issm/trunk/src/m/enum/GravityEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/GravityEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=GravityEnum()
 
-macro=267;
+macro=268;
Index: issm/trunk/src/m/enum/GroundingLineMigrationEnum.m
===================================================================
--- issm/trunk/src/m/enum/GroundingLineMigrationEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/GroundingLineMigrationEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=GroundingLineMigrationEnum()
 
-macro=345;
+macro=347;
Index: issm/trunk/src/m/enum/GsetEnum.m
===================================================================
--- issm/trunk/src/m/enum/GsetEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/GsetEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=GsetEnum()
 
-macro=342;
+macro=344;
Index: issm/trunk/src/m/enum/HeatCapacityEnum.m
===================================================================
--- issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=HeatCapacityEnum()
 
-macro=295;
+macro=297;
Index: issm/trunk/src/m/enum/IncrementalEnum.m
===================================================================
--- issm/trunk/src/m/enum/IncrementalEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/IncrementalEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=IncrementalEnum()
 
-macro=261;
+macro=262;
Index: issm/trunk/src/m/enum/IndexEnum.m
===================================================================
--- issm/trunk/src/m/enum/IndexEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/IndexEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=IndexEnum()
 
-macro=330;
+macro=332;
Index: issm/trunk/src/m/enum/IndexedEnum.m
===================================================================
--- issm/trunk/src/m/enum/IndexedEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/IndexedEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=IndexedEnum()
 
-macro=328;
+macro=330;
Index: issm/trunk/src/m/enum/IntExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/IntExternalResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/IntExternalResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=IntExternalResultEnum()
 
-macro=237;
+macro=238;
Index: issm/trunk/src/m/enum/IntersectEnum.m
===================================================================
--- issm/trunk/src/m/enum/IntersectEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/IntersectEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=IntersectEnum()
 
-macro=273;
+macro=275;
Index: issm/trunk/src/m/enum/IoGatherEnum.m
===================================================================
--- issm/trunk/src/m/enum/IoGatherEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/IoGatherEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=IoGatherEnum()
 
-macro=246;
+macro=247;
Index: issm/trunk/src/m/enum/IsHutterEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsHutterEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/IsHutterEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=IsHutterEnum()
 
-macro=296;
+macro=298;
Index: issm/trunk/src/m/enum/IsMacAyealPattynEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=IsMacAyealPattynEnum()
 
-macro=297;
+macro=299;
Index: issm/trunk/src/m/enum/IsStokesEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsStokesEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/IsStokesEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=IsStokesEnum()
 
-macro=298;
+macro=300;
Index: issm/trunk/src/m/enum/JEnum.m
===================================================================
--- issm/trunk/src/m/enum/JEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/JEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=JEnum()
 
-macro=240;
+macro=241;
Index: issm/trunk/src/m/enum/KffEnum.m
===================================================================
--- issm/trunk/src/m/enum/KffEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/KffEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=KffEnum()
 
-macro=299;
+macro=301;
Index: issm/trunk/src/m/enum/LatentHeatEnum.m
===================================================================
--- issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=LatentHeatEnum()
 
-macro=300;
+macro=302;
Index: issm/trunk/src/m/enum/LowmemEnum.m
===================================================================
--- issm/trunk/src/m/enum/LowmemEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/LowmemEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=LowmemEnum()
 
-macro=301;
+macro=303;
Index: issm/trunk/src/m/enum/MaxAbsVxEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxAbsVxEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MaxAbsVxEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MaxAbsVxEnum()
 
-macro=251;
+macro=252;
Index: issm/trunk/src/m/enum/MaxAbsVyEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxAbsVyEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MaxAbsVyEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MaxAbsVyEnum()
 
-macro=254;
+macro=255;
Index: issm/trunk/src/m/enum/MaxAbsVzEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxAbsVzEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MaxAbsVzEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MaxAbsVzEnum()
 
-macro=257;
+macro=258;
Index: issm/trunk/src/m/enum/MaxIterEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxIterEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MaxIterEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MaxIterEnum()
 
-macro=302;
+macro=304;
Index: issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MaxNonlinearIterationsEnum()
 
-macro=303;
+macro=305;
Index: issm/trunk/src/m/enum/MaxVelEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxVelEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MaxVelEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MaxVelEnum()
 
-macro=248;
+macro=249;
Index: issm/trunk/src/m/enum/MaxVxEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxVxEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MaxVxEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MaxVxEnum()
 
-macro=250;
+macro=251;
Index: issm/trunk/src/m/enum/MaxVyEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxVyEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MaxVyEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MaxVyEnum()
 
-macro=253;
+macro=254;
Index: issm/trunk/src/m/enum/MaxVzEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxVzEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MaxVzEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MaxVzEnum()
 
-macro=256;
+macro=257;
Index: issm/trunk/src/m/enum/MeltingPointEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MeltingPointEnum()
 
-macro=304;
+macro=306;
Index: issm/trunk/src/m/enum/MeltingRateCorrectionApplyEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingRateCorrectionApplyEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MeltingRateCorrectionApplyEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MeltingRateCorrectionApplyEnum()
 
-macro=270;
+macro=271;
Index: issm/trunk/src/m/enum/MeltingRateCorrectionEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingRateCorrectionEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MeltingRateCorrectionEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MeltingRateCorrectionEnum()
 
-macro=269;
+macro=270;
Index: issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MinMechanicalConstraintsEnum()
 
-macro=305;
+macro=307;
Index: issm/trunk/src/m/enum/MinThermalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MinThermalConstraintsEnum()
 
-macro=306;
+macro=308;
Index: issm/trunk/src/m/enum/MinVelEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinVelEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MinVelEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MinVelEnum()
 
-macro=247;
+macro=248;
Index: issm/trunk/src/m/enum/MinVxEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinVxEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MinVxEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MinVxEnum()
 
-macro=249;
+macro=250;
Index: issm/trunk/src/m/enum/MinVyEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinVyEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MinVyEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MinVyEnum()
 
-macro=252;
+macro=253;
Index: issm/trunk/src/m/enum/MinVzEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinVzEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MinVzEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MinVzEnum()
 
-macro=255;
+macro=256;
Index: issm/trunk/src/m/enum/MiniEnum.m
===================================================================
--- issm/trunk/src/m/enum/MiniEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MiniEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MiniEnum()
 
-macro=228;
+macro=229;
Index: issm/trunk/src/m/enum/MixedLayerCapacityEnum.m
===================================================================
--- issm/trunk/src/m/enum/MixedLayerCapacityEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/MixedLayerCapacityEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=MixedLayerCapacityEnum()
 
-macro=271;
+macro=272;
Index: issm/trunk/src/m/enum/NStepsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NStepsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/NStepsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=NStepsEnum()
 
-macro=307;
+macro=309;
Index: issm/trunk/src/m/enum/NdtEnum.m
===================================================================
--- issm/trunk/src/m/enum/NdtEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/NdtEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=NdtEnum()
 
-macro=308;
+macro=310;
Index: issm/trunk/src/m/enum/NodalEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodalEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/NodalEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=NodalEnum()
 
-macro=332;
+macro=334;
Index: issm/trunk/src/m/enum/NoneEnum.m
===================================================================
--- issm/trunk/src/m/enum/NoneEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/NoneEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=NoneEnum()
 
-macro=262;
+macro=263;
Index: issm/trunk/src/m/enum/NumOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumOutputEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/NumOutputEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=NumOutputEnum()
 
-macro=309;
+macro=311;
Index: issm/trunk/src/m/enum/NumRiftsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=NumRiftsEnum()
 
-macro=310;
+macro=312;
Index: issm/trunk/src/m/enum/NumberOfElementsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=NumberOfElementsEnum()
 
-macro=311;
+macro=313;
Index: issm/trunk/src/m/enum/NumberOfNodesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=NumberOfNodesEnum()
 
-macro=312;
+macro=314;
Index: issm/trunk/src/m/enum/NumberOfVerticesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=NumberOfVerticesEnum()
 
-macro=313;
+macro=315;
Index: issm/trunk/src/m/enum/OldGradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/OldGradientEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/OldGradientEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=OldGradientEnum()
 
-macro=286;
+macro=288;
Index: issm/trunk/src/m/enum/OptScalEnum.m
===================================================================
--- issm/trunk/src/m/enum/OptScalEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/OptScalEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=OptScalEnum()
 
-macro=314;
+macro=316;
Index: issm/trunk/src/m/enum/OutputFileNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/OutputFileNameEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/OutputFileNameEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=OutputFileNameEnum()
 
-macro=316;
+macro=318;
Index: issm/trunk/src/m/enum/OutputFilePointerEnum.m
===================================================================
--- issm/trunk/src/m/enum/OutputFilePointerEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/OutputFilePointerEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=OutputFilePointerEnum()
 
-macro=315;
+macro=317;
Index: issm/trunk/src/m/enum/OutputFrequencyEnum.m
===================================================================
--- issm/trunk/src/m/enum/OutputFrequencyEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/OutputFrequencyEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=OutputFrequencyEnum()
 
-macro=245;
+macro=246;
Index: issm/trunk/src/m/enum/P0Enum.m
===================================================================
--- issm/trunk/src/m/enum/P0Enum.m	(revision 7380)
+++ issm/trunk/src/m/enum/P0Enum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=P0Enum()
 
-macro=225;
+macro=226;
Index: issm/trunk/src/m/enum/P1DGEnum.m
===================================================================
--- issm/trunk/src/m/enum/P1DGEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/P1DGEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=P1DGEnum()
 
-macro=227;
+macro=228;
Index: issm/trunk/src/m/enum/P1Enum.m
===================================================================
--- issm/trunk/src/m/enum/P1Enum.m	(revision 7380)
+++ issm/trunk/src/m/enum/P1Enum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=P1Enum()
 
-macro=226;
+macro=227;
Index: issm/trunk/src/m/enum/ParameterOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ParameterOutputEnum()
 
-macro=317;
+macro=319;
Index: issm/trunk/src/m/enum/PatchEnum.m
===================================================================
--- issm/trunk/src/m/enum/PatchEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PatchEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PatchEnum()
 
-macro=241;
+macro=242;
Index: issm/trunk/src/m/enum/PatchNodesEnum.m
===================================================================
--- issm/trunk/src/m/enum/PatchNodesEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PatchNodesEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PatchNodesEnum()
 
-macro=243;
+macro=244;
Index: issm/trunk/src/m/enum/PatchVerticesEnum.m
===================================================================
--- issm/trunk/src/m/enum/PatchVerticesEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PatchVerticesEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PatchVerticesEnum()
 
-macro=242;
+macro=243;
Index: issm/trunk/src/m/enum/PenaltyMeltingEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PenaltyMeltingEnum()
 
-macro=318;
+macro=320;
Index: issm/trunk/src/m/enum/PentaVertexElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/PentaVertexElementResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PentaVertexElementResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PentaVertexElementResultEnum()
 
-macro=231;
+macro=232;
Index: issm/trunk/src/m/enum/PetscOptionsAnalysesEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscOptionsAnalysesEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PetscOptionsAnalysesEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PetscOptionsAnalysesEnum()
 
-macro=341;
+macro=343;
Index: issm/trunk/src/m/enum/PetscOptionsStringsEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscOptionsStringsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PetscOptionsStringsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PetscOptionsStringsEnum()
 
-macro=340;
+macro=342;
Index: issm/trunk/src/m/enum/PetscRcEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscRcEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PetscRcEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PetscRcEnum()
 
-macro=334;
+macro=336;
Index: issm/trunk/src/m/enum/PetscVecExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscVecExternalResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PetscVecExternalResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PetscVecExternalResultEnum()
 
-macro=238;
+macro=239;
Index: issm/trunk/src/m/enum/PressureOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/PressureOldEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/PressureOldEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=PressureOldEnum()
 
-macro=183;
+macro=184;
Index: issm/trunk/src/m/enum/QmuAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuAnalysisEnum()
 
-macro=319;
+macro=321;
Index: issm/trunk/src/m/enum/QmuErrNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuErrNameEnum()
 
-macro=320;
+macro=322;
Index: issm/trunk/src/m/enum/QmuInNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuInNameEnum()
 
-macro=321;
+macro=323;
Index: issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuMassFluxSegmentsEnum()
 
-macro=322;
+macro=324;
Index: issm/trunk/src/m/enum/QmuNPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuNPartEnum()
 
-macro=323;
+macro=325;
Index: issm/trunk/src/m/enum/QmuNumberOfResponsesEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuNumberOfResponsesEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuNumberOfResponsesEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuNumberOfResponsesEnum()
 
-macro=326;
+macro=328;
Index: issm/trunk/src/m/enum/QmuOutNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuOutNameEnum()
 
-macro=324;
+macro=326;
Index: issm/trunk/src/m/enum/QmuPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuPartEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuPartEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuPartEnum()
 
-macro=325;
+macro=327;
Index: issm/trunk/src/m/enum/QmuPressureEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuPressureEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuPressureEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuPressureEnum()
 
-macro=184;
+macro=185;
Index: issm/trunk/src/m/enum/QmuSaveFemmodelEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuSaveFemmodelEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuSaveFemmodelEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuSaveFemmodelEnum()
 
-macro=327;
+macro=329;
Index: issm/trunk/src/m/enum/QmuVxEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuVxEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuVxEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuVxEnum()
 
-macro=210;
+macro=211;
Index: issm/trunk/src/m/enum/QmuVyEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuVyEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuVyEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuVyEnum()
 
-macro=215;
+macro=216;
Index: issm/trunk/src/m/enum/QmuVzEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuVzEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/QmuVzEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=QmuVzEnum()
 
-macro=223;
+macro=224;
Index: issm/trunk/src/m/enum/RegularEnum.m
===================================================================
--- issm/trunk/src/m/enum/RegularEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/RegularEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=RegularEnum()
 
-macro=329;
+macro=331;
Index: issm/trunk/src/m/enum/RelativeEnum.m
===================================================================
--- issm/trunk/src/m/enum/RelativeEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/RelativeEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=RelativeEnum()
 
-macro=258;
+macro=259;
Index: issm/trunk/src/m/enum/ResetPenaltiesEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResetPenaltiesEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ResetPenaltiesEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ResetPenaltiesEnum()
 
-macro=185;
+macro=186;
Index: issm/trunk/src/m/enum/ResidualEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResidualEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ResidualEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ResidualEnum()
 
-macro=259;
+macro=260;
Index: issm/trunk/src/m/enum/ResponseDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ResponseDescriptorsEnum()
 
-macro=333;
+macro=335;
Index: issm/trunk/src/m/enum/RheologyBEnum.m
===================================================================
--- issm/trunk/src/m/enum/RheologyBEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/RheologyBEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=RheologyBEnum()
 
-macro=186;
+macro=187;
Index: issm/trunk/src/m/enum/RheologyBbarEnum.m
===================================================================
--- issm/trunk/src/m/enum/RheologyBbarEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/RheologyBbarEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=RheologyBbarEnum()
 
-macro=187;
+macro=188;
Index: issm/trunk/src/m/enum/RheologyNEnum.m
===================================================================
--- issm/trunk/src/m/enum/RheologyNEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/RheologyNEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=RheologyNEnum()
 
-macro=188;
+macro=189;
Index: issm/trunk/src/m/enum/RhoIceEnum.m
===================================================================
--- issm/trunk/src/m/enum/RhoIceEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/RhoIceEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=RhoIceEnum()
 
-macro=265;
+macro=266;
Index: issm/trunk/src/m/enum/RhoWaterEnum.m
===================================================================
--- issm/trunk/src/m/enum/RhoWaterEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/RhoWaterEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=RhoWaterEnum()
 
-macro=266;
+macro=267;
Index: issm/trunk/src/m/enum/ScaledEnum.m
===================================================================
--- issm/trunk/src/m/enum/ScaledEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ScaledEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ScaledEnum()
 
-macro=331;
+macro=333;
Index: issm/trunk/src/m/enum/SegmentOnIceShelfEnum.m
===================================================================
--- issm/trunk/src/m/enum/SegmentOnIceShelfEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/SegmentOnIceShelfEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=SegmentOnIceShelfEnum()
 
-macro=189;
+macro=190;
Index: issm/trunk/src/m/enum/SeparateEnum.m
===================================================================
--- issm/trunk/src/m/enum/SeparateEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/SeparateEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=SeparateEnum()
 
-macro=275;
+macro=277;
Index: issm/trunk/src/m/enum/SoftMigrationEnum.m
===================================================================
--- issm/trunk/src/m/enum/SoftMigrationEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/SoftMigrationEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=SoftMigrationEnum()
 
-macro=264;
+macro=265;
Index: issm/trunk/src/m/enum/SparsityEnum.m
===================================================================
--- issm/trunk/src/m/enum/SparsityEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/SparsityEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=SparsityEnum()
 
-macro=335;
+macro=337;
Index: issm/trunk/src/m/enum/SsetEnum.m
===================================================================
--- issm/trunk/src/m/enum/SsetEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/SsetEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=SsetEnum()
 
-macro=344;
+macro=346;
Index: issm/trunk/src/m/enum/StabilizeConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/StabilizeConstraintsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/StabilizeConstraintsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=StabilizeConstraintsEnum()
 
-macro=190;
+macro=191;
Index: issm/trunk/src/m/enum/StokesReconditioningEnum.m
===================================================================
--- issm/trunk/src/m/enum/StokesReconditioningEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/StokesReconditioningEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=StokesReconditioningEnum()
 
-macro=191;
+macro=192;
Index: issm/trunk/src/m/enum/StokesSolverEnum.m
===================================================================
--- issm/trunk/src/m/enum/StokesSolverEnum.m	(revision 7390)
+++ issm/trunk/src/m/enum/StokesSolverEnum.m	(revision 7390)
@@ -0,0 +1,11 @@
+function macro=StokesSolverEnum()
+%STOKESSOLVERENUM - Enum of StokesSolver
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/EnumDefinitions/Synchronize.sh
+%            Please read src/c/EnumDefinitions/README for more information
+%
+%   Usage:
+%      macro=StokesSolverEnum()
+
+macro=274;
Index: issm/trunk/src/m/enum/StringExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringExternalResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/StringExternalResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=StringExternalResultEnum()
 
-macro=239;
+macro=240;
Index: issm/trunk/src/m/enum/StringToEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringToEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/StringToEnum.m	(revision 7390)
@@ -192,4 +192,5 @@
 			elseif (strcmpi(name,'Pflag')), enum=PflagEnum(); return
 			elseif (strcmpi(name,'Pressure')), enum=PressureEnum(); return
+			elseif (strcmpi(name,'Velocity')), enum=VelocityEnum(); return
 			elseif (strcmpi(name,'PressureOld')), enum=PressureOldEnum(); return
 			elseif (strcmpi(name,'QmuPressure')), enum=QmuPressureEnum(); return
@@ -282,4 +283,5 @@
 			elseif (strcmpi(name,'MixedLayerCapacity')), enum=MixedLayerCapacityEnum(); return
 			elseif (strcmpi(name,'ThermalExchangeVelocity')), enum=ThermalExchangeVelocityEnum(); return
+			elseif (strcmpi(name,'StokesSolver')), enum=StokesSolverEnum(); return
 			elseif (strcmpi(name,'Intersect')), enum=IntersectEnum(); return
 			elseif (strcmpi(name,'Colinear')), enum=ColinearEnum(); return
Index: issm/trunk/src/m/enum/SurfaceAreaEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceAreaEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/SurfaceAreaEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=SurfaceAreaEnum()
 
-macro=192;
+macro=193;
Index: issm/trunk/src/m/enum/SurfaceEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/SurfaceEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=SurfaceEnum()
 
-macro=193;
+macro=194;
Index: issm/trunk/src/m/enum/SurfaceSlopeXEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopeXEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/SurfaceSlopeXEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=SurfaceSlopeXEnum()
 
-macro=194;
+macro=195;
Index: issm/trunk/src/m/enum/SurfaceSlopeYEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopeYEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/SurfaceSlopeYEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=SurfaceSlopeYEnum()
 
-macro=195;
+macro=196;
Index: issm/trunk/src/m/enum/TemperatureEnum.m
===================================================================
--- issm/trunk/src/m/enum/TemperatureEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/TemperatureEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=TemperatureEnum()
 
-macro=196;
+macro=197;
Index: issm/trunk/src/m/enum/TemperatureOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/TemperatureOldEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/TemperatureOldEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=TemperatureOldEnum()
 
-macro=198;
+macro=199;
Index: issm/trunk/src/m/enum/TemporaryTemperatureEnum.m
===================================================================
--- issm/trunk/src/m/enum/TemporaryTemperatureEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/TemporaryTemperatureEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=TemporaryTemperatureEnum()
 
-macro=197;
+macro=198;
Index: issm/trunk/src/m/enum/ThermalConductivityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThermalConductivityEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ThermalConductivityEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ThermalConductivityEnum()
 
-macro=268;
+macro=269;
Index: issm/trunk/src/m/enum/ThermalExchangeVelocityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThermalExchangeVelocityEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ThermalExchangeVelocityEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ThermalExchangeVelocityEnum()
 
-macro=272;
+macro=273;
Index: issm/trunk/src/m/enum/ThicknessCoeffEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThicknessCoeffEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ThicknessCoeffEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ThicknessCoeffEnum()
 
-macro=200;
+macro=201;
Index: issm/trunk/src/m/enum/ThicknessEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThicknessEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ThicknessEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ThicknessEnum()
 
-macro=199;
+macro=200;
Index: issm/trunk/src/m/enum/ThicknessObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThicknessObsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ThicknessObsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ThicknessObsEnum()
 
-macro=201;
+macro=202;
Index: issm/trunk/src/m/enum/TimeEnum.m
===================================================================
--- issm/trunk/src/m/enum/TimeEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/TimeEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=TimeEnum()
 
-macro=244;
+macro=245;
Index: issm/trunk/src/m/enum/TolXEnum.m
===================================================================
--- issm/trunk/src/m/enum/TolXEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/TolXEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=TolXEnum()
 
-macro=336;
+macro=338;
Index: issm/trunk/src/m/enum/TriaVertexElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/TriaVertexElementResultEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/TriaVertexElementResultEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=TriaVertexElementResultEnum()
 
-macro=230;
+macro=231;
Index: issm/trunk/src/m/enum/TypeEnum.m
===================================================================
--- issm/trunk/src/m/enum/TypeEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/TypeEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=TypeEnum()
 
-macro=202;
+macro=203;
Index: issm/trunk/src/m/enum/VariableDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VariableDescriptorsEnum()
 
-macro=337;
+macro=339;
Index: issm/trunk/src/m/enum/VelEnum.m
===================================================================
--- issm/trunk/src/m/enum/VelEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VelEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VelEnum()
 
-macro=203;
+macro=204;
Index: issm/trunk/src/m/enum/VelObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VelObsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VelObsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VelObsEnum()
 
-macro=204;
+macro=205;
Index: issm/trunk/src/m/enum/VelocityEnum.m
===================================================================
--- issm/trunk/src/m/enum/VelocityEnum.m	(revision 7390)
+++ issm/trunk/src/m/enum/VelocityEnum.m	(revision 7390)
@@ -0,0 +1,11 @@
+function macro=VelocityEnum()
+%VELOCITYENUM - Enum of Velocity
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/EnumDefinitions/Synchronize.sh
+%            Please read src/c/EnumDefinitions/README for more information
+%
+%   Usage:
+%      macro=VelocityEnum()
+
+macro=183;
Index: issm/trunk/src/m/enum/VerboseEnum.m
===================================================================
--- issm/trunk/src/m/enum/VerboseEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VerboseEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VerboseEnum()
 
-macro=338;
+macro=340;
Index: issm/trunk/src/m/enum/ViscosityOvershootEnum.m
===================================================================
--- issm/trunk/src/m/enum/ViscosityOvershootEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/ViscosityOvershootEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=ViscosityOvershootEnum()
 
-macro=205;
+macro=206;
Index: issm/trunk/src/m/enum/VxAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxAverageEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VxAverageEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VxAverageEnum()
 
-macro=206;
+macro=207;
Index: issm/trunk/src/m/enum/VxEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VxEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VxEnum()
 
-macro=207;
+macro=208;
Index: issm/trunk/src/m/enum/VxObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxObsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VxObsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VxObsEnum()
 
-macro=208;
+macro=209;
Index: issm/trunk/src/m/enum/VxOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxOldEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VxOldEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VxOldEnum()
 
-macro=209;
+macro=210;
Index: issm/trunk/src/m/enum/VyAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyAverageEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VyAverageEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VyAverageEnum()
 
-macro=211;
+macro=212;
Index: issm/trunk/src/m/enum/VyEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VyEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VyEnum()
 
-macro=212;
+macro=213;
Index: issm/trunk/src/m/enum/VyObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyObsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VyObsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VyObsEnum()
 
-macro=213;
+macro=214;
Index: issm/trunk/src/m/enum/VyOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyOldEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VyOldEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VyOldEnum()
 
-macro=214;
+macro=215;
Index: issm/trunk/src/m/enum/VzAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzAverageEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VzAverageEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VzAverageEnum()
 
-macro=216;
+macro=217;
Index: issm/trunk/src/m/enum/VzEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VzEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VzEnum()
 
-macro=217;
+macro=218;
Index: issm/trunk/src/m/enum/VzMacAyealEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzMacAyealEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VzMacAyealEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VzMacAyealEnum()
 
-macro=220;
+macro=221;
Index: issm/trunk/src/m/enum/VzObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzObsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VzObsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VzObsEnum()
 
-macro=218;
+macro=219;
Index: issm/trunk/src/m/enum/VzOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzOldEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VzOldEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VzOldEnum()
 
-macro=219;
+macro=220;
Index: issm/trunk/src/m/enum/VzPattynEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzPattynEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VzPattynEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VzPattynEnum()
 
-macro=221;
+macro=222;
Index: issm/trunk/src/m/enum/VzStokesEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzStokesEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/VzStokesEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=VzStokesEnum()
 
-macro=222;
+macro=223;
Index: issm/trunk/src/m/enum/WaitOnLockEnum.m
===================================================================
--- issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=WaitOnLockEnum()
 
-macro=339;
+macro=341;
Index: issm/trunk/src/m/enum/WeightsEnum.m
===================================================================
--- issm/trunk/src/m/enum/WeightsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/WeightsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=WeightsEnum()
 
-macro=224;
+macro=225;
Index: issm/trunk/src/m/enum/YtsEnum.m
===================================================================
--- issm/trunk/src/m/enum/YtsEnum.m	(revision 7380)
+++ issm/trunk/src/m/enum/YtsEnum.m	(revision 7390)
@@ -9,3 +9,3 @@
 %      macro=YtsEnum()
 
-macro=346;
+macro=348;
